package domain

type AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult struct {
	/*
	   处理结果     */
	Message *string `json:"message,omitempty" `

	/*
	   错误编码     */
	ErrorCode *string `json:"error_code,omitempty" `

	/*
	   结果数据     */
	Datas *[]AlibabaWdkMarketingBuygiftItemRemoveAsyncItemBuyGiftSku `json:"datas,omitempty" `

	/*
	   success     */
	Success *bool `json:"success,omitempty" `
}

func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult) SetMessage(v string) *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Message = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult) SetErrorCode(v string) *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult {
	s.ErrorCode = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult) SetDatas(v []AlibabaWdkMarketingBuygiftItemRemoveAsyncItemBuyGiftSku) *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Datas = &v
	return s
}
func (s *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult) SetSuccess(v bool) *AlibabaWdkMarketingBuygiftItemRemoveAsyncMarketResult {
	s.Success = &v
	return s
}
